public class Query extends BaseResource implements IResource
Definition:
Requirements:
Profile Definition: http://hl7.org/fhir/profiles/Query
| Modifier and Type | Class and Description |
|---|---|
static class |
Query.Response
Block class for child element: Query.response (If this is a response to a query)
|
| Modifier and Type | Field and Description |
|---|---|
static TokenClientParam |
IDENTIFIER
Fluent Client search parameter constant for identifier
|
static TokenClientParam |
RESPONSE
Fluent Client search parameter constant for response
|
static String |
SP_IDENTIFIER
Search parameter constant for identifier
|
static String |
SP_RESPONSE
Search parameter constant for response
|
SP_RES_ID, SP_RES_LANGUAGE| Constructor and Description |
|---|
Query() |
| Modifier and Type | Method and Description |
|---|---|
ExtensionDt |
addParameter()
Adds and returns a new value for parameter (Set of query parameters with values)
|
<T extends IElement> |
getAllPopulatedChildElementsOfType(Class<T> theType)
Returns a list containing all child elements matching a given type
|
UriDt |
getIdentifier()
Gets the value(s) for identifier (Links query and its response(s)).
|
List<ExtensionDt> |
getParameter()
Gets the value(s) for parameter (Set of query parameters with values).
|
ExtensionDt |
getParameterFirstRep()
Gets the first repetition for parameter (Set of query parameters with values),
creating it if it does not already exist.
|
Query.Response |
getResponse()
Gets the value(s) for response (If this is a response to a query).
|
boolean |
isEmpty() |
Query |
setIdentifier(String theUri)
Sets the value for identifier (Links query and its response(s))
|
Query |
setIdentifier(UriDt theValue)
Sets the value(s) for identifier (Links query and its response(s))
|
Query |
setParameter(List<ExtensionDt> theValue)
Sets the value(s) for parameter (Set of query parameters with values)
|
Query |
setResponse(Query.Response theValue)
Sets the value(s) for response (If this is a response to a query)
|
getContained, getId, getLanguage, getResourceMetadata, getText, isBaseEmpty, setContained, setId, setId, setLanguage, setResourceMetadata, setText, toStringaddUndeclaredExtension, addUndeclaredExtension, addUndeclaredExtension, getAllUndeclaredExtensions, getUndeclaredExtensions, getUndeclaredExtensionsByUrl, getUndeclaredModifierExtensionsclone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, waitgetContained, getId, getLanguage, getResourceMetadata, getText, setId, setLanguage, setResourceMetadatapublic static final String SP_IDENTIFIER
Description:
Type: token
Path: Query.identifier
public static final TokenClientParam IDENTIFIER
Description:
Type: token
Path: Query.identifier
public static final String SP_RESPONSE
Description:
Type: token
Path: Query.response.identifier
public static final TokenClientParam RESPONSE
Description:
Type: token
Path: Query.response.identifier
public <T extends IElement> List<T> getAllPopulatedChildElementsOfType(Class<T> theType)
ICompositeElementgetAllPopulatedChildElementsOfType in interface ICompositeElementtheType - The type to match. If set to null, all child elements will be returnedpublic UriDt getIdentifier()
null.
Definition:
public Query setIdentifier(UriDt theValue)
Definition:
public Query setIdentifier(String theUri)
Definition:
public List<ExtensionDt> getParameter()
null.
Definition:
public Query setParameter(List<ExtensionDt> theValue)
Definition:
public ExtensionDt addParameter()
Definition:
public ExtensionDt getParameterFirstRep()
Definition:
public Query.Response getResponse()
null.
Definition:
public Query setResponse(Query.Response theValue)
Definition:
Copyright © 2014 University Health Network. All rights reserved.